<template>
  <div v-bind="$attrs" class="flex-row items-center justify-start overflow-hidden bg-white">
    <div class="p-4 pl-5">
      <i @click="modals.show('menu')" class="hero outline menu text-xl text-gray-700"></i>
    </div>
  </div>
  <modal :is="modals.inlined('menu')" dimmed>
    <div class="pt-4">
      <views @click="modals.hide('menu')" class="mb-4" />
      <div class="text-gray-800">
        <div
          @click="$router.push({ name: 'CreateWorkspace' })"
          class="border-t flex flex-row items-center justify-start p-6 clickable-bg"
        >
          <i class="hero plus outline mr-4"></i>
          Add Workspace
        </div>

        <div
          @click="$router.push({ name: 'Settings' })"
          class="border-t flex flex-row items-center justify-start p-6 clickable-bg"
        >
          <i class="hero adjustments outline mr-4"></i>
          Settings
        </div>
      </div>
    </div>
  </modal>
</template>

<script>
import { inlined, useModals } from "@/use/modal";
import Views from "./Views.vue";

export default {
  components: { Views },
  setup() {
    return {
      modals: useModals({ Menu: inlined() })
    };
  }
};
</script>
